Bug 127381 - CAN-2004-0633/34/35 Multiple problems in Ethereal 0.10.4
CAN-2004-0633/34/35 Multiple problems in Ethereal 0.10.4
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: ethereal (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-07 10:21 EDT by Josh Bressers
Modified: 2015-03-04 20:14 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-05 12:34:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2004-07-07 10:21:59 EDT
A number of issues hve been discovered in Ethereal.

http://www.ethereal.com/appnotes/enpa-sa-00015.html
Comment 1 Josh Bressers 2004-07-07 10:22:19 EDT
Update severity to security.
Comment 3 Josh Bressers 2004-07-07 10:27:14 EDT
Here's my analysis of the bugs fixed.

#  The iSNS dissector could make Ethereal abort in some cases. (0.10.3
- 0.10.4)

This is an integer overflow flaw.  It's most likely just a DOS, I see
no evidence that it could run arbitrary code, but I'm not going to
rule it out.


# SMB SID snooping could crash if there was no policy name for a
handle. (0.9.15 - 0.10.4)

This is a null pointer flaw.  It's a DOS.


# The SNMP dissector could crash due to a malformed or missing
community string. (0.8.15 - 0.10.4)

This is an out of bounds memory read issue.
Comment 4 Josh Bressers 2004-07-07 10:28:17 EDT
This issue also affects RHEL2.1
Comment 5 Marc Deslauriers 2004-07-08 21:22:02 EDT
A backported patch for Ethereal 0.10.3 can be found here:
https://bugzilla.fedora.us/show_bug.cgi?id=1840
Comment 6 Mark J. Cox (Product Security) 2004-07-14 03:21:33 EDT
Errata in progress
Comment 7 Josh Bressers 2004-08-05 12:34:25 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-378.html

Note You need to log in before you can comment on or make changes to this bug.